summaryrefslogtreecommitdiff
path: root/tests.as-root
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2013-01-29 13:13:10 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2013-02-11 14:12:14 +0000
commit6047fce7f234db6a26dcd7b704636906290a48a5 (patch)
tree5743345b262e1483ea90ee6e0640f886ef24bf6a /tests.as-root
parent6e048eeac64773072bda9a70fcf15b33ab0c7765 (diff)
downloadmorph-6047fce7f234db6a26dcd7b704636906290a48a5.tar.gz
Add a regression test for metadata including repo alias
Diffstat (limited to 'tests.as-root')
-rwxr-xr-xtests.as-root/metadata-includes-repo-alias.script49
-rwxr-xr-xtests.as-root/metadata-includes-repo-alias.setup48
2 files changed, 97 insertions, 0 deletions
diff --git a/tests.as-root/metadata-includes-repo-alias.script b/tests.as-root/metadata-includes-repo-alias.script
new file mode 100755
index 00000000..511222e2
--- /dev/null
+++ b/tests.as-root/metadata-includes-repo-alias.script
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# All the metadata files in /baserock of a system contain the repository
+# alias they were built from.
+
+set -eu
+
+# Disable test on versions of Python before 2.7.
+. "$SRCDIR/scripts/python-check"
+
+. "$SRCDIR/scripts/fix-committer-info"
+
+# get git version info
+cd "$SRCDIR"
+
+tar=$("$SRCDIR/scripts/test-morph" --find-system-artifact \
+ build-morphology test:morphs tarball hello-tarball)
+
+extracted="$DATADIR/extracted"
+mkdir -p "$extracted"
+tar -xf "$tar" -C "$extracted"
+cd "$extracted/baserock"
+
+# Check for test:morphs in System and Stratum
+#grep -q -F -e test:morphs hello-tarball.meta # tarball bug
+grep -q -F -e test:morphs hello-stratum.meta
+grep -q -F -e test:morphs linux-stratum.meta
+
+# Check for test:kernel-repo in linux
+grep -q -F -e test:kernel-repo linux.meta
+
+# Check for test:chunk-repo in hello
+grep -q -F -e test:chunk-repo hello.meta
diff --git a/tests.as-root/metadata-includes-repo-alias.setup b/tests.as-root/metadata-includes-repo-alias.setup
new file mode 100755
index 00000000..2284cfb9
--- /dev/null
+++ b/tests.as-root/metadata-includes-repo-alias.setup
@@ -0,0 +1,48 @@
+#!/bin/bash
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -eu
+
+source "$SRCDIR/scripts/fix-committer-info"
+
+morphsrepo="$DATADIR/morphs"
+cd "$morphsrepo"
+git checkout -b tarball
+cat <<EOF > hello-tarball.morph
+{
+ "name": "hello-tarball",
+ "kind": "system",
+ "system-kind": "rootfs-tarball",
+ "arch": "$(uname -m)",
+ "strata": [
+ {
+ "morph": "hello-stratum",
+ "repo": "test:morphs",
+ "ref": "master"
+ },
+ {
+ "morph": "linux-stratum",
+ "repo": "test:morphs",
+ "ref": "master"
+ }
+ ]
+}
+EOF
+git add hello-tarball.morph
+
+git commit --quiet -m "add tarball system"